Package csb :: Package io :: Class AutoFlushStream

[frames] | no frames]

# Class AutoFlushStream

source code

    object --+
             |
    core.Proxy --+
                 |
                AutoFlushStream

Wrapper around a buffered stream which automatically calls flush() after each write(). This is essentially a proxy/decorator.

Instance Methods

__init__(self, stream) x.__init__(...) initializes x; see help(type(x)) for signature | source code

write(self, data) | source code

Inherited from `core.Proxy`: `__getattr__` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, stream)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `stream` (file) - the stream object to wrap
Overrides: object.__init__
  (inherited documentation)